%define pypi_name slixmpp

%bcond_with docs

Summary:	Slixmpp is an elegant Python library for XMPP (aka Jabber)
Name:		python-%{pypi_name}
Version:	1.8.6
Release:	%mkrel 2
License:	MIT
Group:		Development/Python
Url:		https://pypi.org/project/slixmpp/
Source0:	%{pypi_source}
BuildRequires:	python3-devel
BuildRequires:	python3-cython
BuildRequires:	python3-sphinx
BuildRequires:	python3-sphinx-autodoc-typehints
BuildRequires:	python3-sphinx-theme-furo
BuildRequires:	pkgconfig(libidn)

%description
Slixmpp is an elegant Python library for XMPP (aka Jabber).

%package -n python3-%{pypi_name}
Summary:	Slixmpp is an elegant Python library for XMPP (aka Jabber)
Group:		Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Slixmpp is an elegant Python library for XMPP (aka Jabber).

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

# cleanup
find . -name '*.pyo' -o -name '*.pyc' -delete

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%if %{with docs}
export PYTHONPATH=$(pwd)
%__make -C docs html
rm -rf docs/_build/html/.buildinfo
%endif

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%if %{with docs}
%doc docs/_build/html
%endif


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1.8.6-2.mga10
+ Revision: 2243767
- Mageia 10 Mass Rebuild

* Sun Mar 09 2025 daviddavid <daviddavid> 1.8.6-1.mga10
+ Revision: 2162317
- new version: 1.8.6
+ wally <wally>
- rebuild for python3.13

* Sat Feb 24 2024 daviddavid <daviddavid> 1.8.5-1.mga10
+ Revision: 2043812
- new version: 1.8.5
- switch to pyproject

* Sat Feb 24 2024 daviddavid <daviddavid> 1.8.3-2.mga10
+ Revision: 2043806
- rebuild for py3.12

* Tue Nov 29 2022 papoteur <papoteur> 1.8.3-1.mga9
+ Revision: 1912508
- update to 1.8.3 for CVE 2022-45197 (mga#31200)

* Fri Aug 05 2022 neoclust <neoclust> 1.8.2-1.mga9
+ Revision: 1875332
- New version 1.8.2

* Fri Apr 01 2022 umeabot <umeabot> 1.7.1-3.mga9
+ Revision: 1839343
- Mageia 9 Mass Rebuild

* Mon Feb 21 2022 mrambo3501 <mrambo3501> 1.7.1-2.mga9
+ Revision: 1782546
- rebuild for python-3.10

* Thu Sep 02 2021 wally <wally> 1.7.1-1.mga9
+ Revision: 1744122
- new version 1.7.1

* Mon Mar 22 2021 daviddavid <daviddavid> 1.6.0-2.mga9
+ Revision: 1707818
- rebuild for python 3.9

* Mon Jan 18 2021 neoclust <neoclust> 1.6.0-1.mga8
+ Revision: 1672328
- imported package python-slixmpp

